Bug 867184 - Need a way to remove existing process instances from the database
Need a way to remove existing process instances from the database
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: riftsaw (Show other bugs)
5.2.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: kconner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 22:10 EDT by Jason Shepherd
Modified: 2013-07-01 21:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RIFTSAW-515 Major Closed Need a way to remove existing process instances from the database 2015-09-30 01:44 EDT

  None (edit)
Description Jason Shepherd 2012-10-16 22:10:33 EDT
Description of problem:
We need a way to remove existing process instances from the database. We can use the 'cleanup' tag prevent creating new instances, but if we have not been using that, our database will grow to a large size. We need a way to maintain the size of the database, by removing old instances.

We are most concerned with the data in the BPEL_XML_DATA table.

Version-Release number of selected component (if applicable):

Riftsaw 2.3.1.Final

How reproducible:

Use the BluePrint3 tutorial shipped with the 2.3.1.Final source code. Send a 'throw_inv_fault' message to the service, and observe that data is persisted in the BPEL_XML_DATA table.

  
Actual results:

For each request, more data is persisted in the BPEL_XML_DATA table.


Expected results:

A way to delete this data, without breaking any other functionality.

Additional info:

We are aware a 'cleanup' tag is available, and that we should catch and deal with a fault like the 'throw_po_fault' path does, in order to prevent data from being stored in this table.

See BZ 854419
https://bugzilla.redhat.com/show_bug.cgi?id=854419
Comment 1 JBoss JIRA Server 2012-10-22 04:31:01 EDT
Jeff Yu <cyu@redhat.com> made a comment on jira RIFTSAW-515

I've attached a workaround for MSSQL. (MSSQL store procedure).
Comment 2 JBoss JIRA Server 2012-10-22 04:32:21 EDT
Jeff Yu <cyu@redhat.com> made a comment on jira RIFTSAW-515

Note that, in this workaround script, I only remove the old instances that are completed OK (thats the 30 for, means complete_state)
Comment 3 JBoss JIRA Server 2012-10-28 18:20:39 EDT
Jason Shepherd <jshepherd@redhat.com> made a comment on jira RIFTSAW-515

The script worked as expected.
Comment 4 JBoss JIRA Server 2013-01-29 03:09:12 EST
Jeff Yu <cyu@redhat.com> made a comment on jira RIFTSAW-515

I'll make this service available as RESTFul service for this task.
Comment 5 JBoss JIRA Server 2013-01-29 03:12:58 EST
Jeff Yu <cyu@redhat.com> made a comment on jira RIFTSAW-515

Created RIFTSAW-526 for adding the page in BPEL console to use this service.
Comment 6 JBoss JIRA Server 2013-02-07 20:19:32 EST
Jeff Yu <cyu@redhat.com> updated the status of jira RIFTSAW-515 to Resolved
Comment 7 JBoss JIRA Server 2013-02-07 20:19:32 EST
Jeff Yu <cyu@redhat.com> made a comment on jira RIFTSAW-515

For the document, can be found at: https://community.jboss.org/wiki/ProcessInstanceCleanup
Comment 8 JBoss JIRA Server 2013-03-07 05:57:25 EST
Jeff Yu <cyu@redhat.com> updated the status of jira RIFTSAW-515 to Closed
Comment 9 JBoss JIRA Server 2013-03-07 05:57:25 EST
Jeff Yu <cyu@redhat.com> made a comment on jira RIFTSAW-515

closed issues for M5.

Note You need to log in before you can comment on or make changes to this bug.